Subject: Re: Selectively commit/publish files to GIT

From: Keshav Kini <[email-masked]>
Date: Fri, 08 Nov 2013 17:50:10 -0600

Thomas Manson <[email-masked]> writes:
>   The problem is that in Bazaar, I've commited some big files (63MB &
> 173MB), but this files are no longer in my project, only in the
> revisions files of Bazaar and now Git.
>
>   I don't need this files to be pushed on Github.
>
>   How can I search git history for big files and remove them, or mark
> them to be not published ?

I see you already solved your problem, but for future reference, there
is a nice tool that is more limited in functionality than git
filter-branch but also much faster and possibly easier to use:

    http://rtyley.github.io/bfg-repo-cleaner/

-Keshav